### Method

# Gtk DirectoryListset_monitored

#### Declaration [src]

    void
    gtk_directory_list_set_monitored (
      GtkDirectoryList* self,
      gboolean monitored
    )

#### Description [src]

Sets whether the directory list will monitor the directory for changes.

If monitoring is enabled, the ::items-changed signal will be emitted when the directory contents change.

When monitoring is turned on after the initial creation of the directory list, the directory is reloaded to avoid missing files that appeared between the initial loading and when monitoring was turned on.

Sets property | `Gtk.DirectoryList:monitored`

#### Parameters

`monitored`

  Type: `gboolean`

  `TRUE` to monitor the directory for changes.